MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LTIOverrideGeoCoordData Struct Reference

`#include <lti_imageStageOverrides.h>`

Inheritance diagram for LTIOverrideGeoCoordData:
[legend]
Collaboration diagram for LTIOverrideGeoCoordData:
[legend]

## Public Member Functions
| LTIOverrideGeoCoordData ()
| ~LTIOverrideGeoCoordData ()
LT_STATUS | setGeoCoord (const LTIGeoCoord &geoCoord)
| set the geographic coordinates of the image More...
LT_STATUS | setDefaultGeoCoord (const LTIImage &image)
| set the geographic coordinates of the image More...

## Public Attributes
LTIGeoCoord * | m_geoCoord
bool | m_geoCoordImplicit

## Detailed Description

Definition at line 276 of file lti_imageStageOverrides.h.

## Constructor & Destructor Documentation

LTIOverrideGeoCoordData::LTIOverrideGeoCoordData | ( | ) |  |

LTIOverrideGeoCoordData::~LTIOverrideGeoCoordData | ( | ) |  |

## Member Function Documentation

LT_STATUS LTIOverrideGeoCoordData::setDefaultGeoCoord | ( | const LTIImage & | image) |  |

This function is used to set the geographic coordinates of the image to a reasonable default, when there are no other geographic coordinates to use.

The default coordinates used are:

- upperleft: (0.0, height-1.0)
- resolution: (1.0, -1.0)
- rotation: (0.0, 0.0)

Calling this function will cause isGeoCoordImplicit() to return true.

Returns
  status code indicating success or failure

Examples:
  DerivedImageReader.cpp.

LT_STATUS LTIOverrideGeoCoordData::setGeoCoord | ( | const LTIGeoCoord & | geoCoord) |  |

This function is used to set the geographic coordinates of the image.

Derived classes may choose to call this function from within their initialize() method. If the geographic coordinates are not set, the default position is assumed.

Parameters

  geoCoord | the geographic coordinate information

Returns
  status code indicating success or failure

Referenced by LTIOverrideGeoCoord< LTIImageFilter >::overrideGeoCoord().

## Member Data Documentation

LTIGeoCoord* LTIOverrideGeoCoordData::m_geoCoord

Definition at line 313 of file lti_imageStageOverrides.h.

Referenced by LTIOverrideGeoCoord< LTIImageFilter >::getGeoCoord().

bool LTIOverrideGeoCoordData::m_geoCoordImplicit

Definition at line 314 of file lti_imageStageOverrides.h.

Referenced by LTIOverrideGeoCoord< LTIImageFilter >::isGeoCoordImplicit().

The documentation for this struct was generated from the following file:

- lti_imageStageOverrides.h

LizardTech